package de.intevation.flys.model;

import java.math.BigDecimal;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.GeneratedValue;
import javax.persistence.Column;
import javax.persistence.SequenceGenerator;
import javax.persistence.GenerationType;

@Entity
@Table(name = "wst_column_values")
public class WstColumnValue
implements   Serializable
{
    private Integer    id;
    private WstColumn  wstColumn;
    private Position   position;
    private BigDecimal w;

    public WstColumnValue() {
    }

    @Id
    @SequenceGenerator(
        name           = "SEQUENCE_WST_COLUMN_VALUES_ID_SEQ",
        sequenceName   = "WST_COLUMN_VALUES_ID_SEQ",
        allocationSize = 1)
    @GeneratedValue(
        strategy  = GenerationType.SEQUENCE,
        generator = "SEQUENCE_WST_COLUMN_VALUES_ID_SEQ")
    @Column(name = "id")
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public void setWstColumn(WstColumn wstColumn) {
        this.wstColumn = wstColumn;
    }

    public WstColumn getWstColumn() {
        return wstColumn;
    }

    public void setPosition(Position position) {
        this.position = position;
    }

    public Position getPosition() {
        return position;
    }

    public void setW(BigDecimal w) {
        this.w = w;
    }

    public BigDecimal getW() {
        return w;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
